Summary:	The GNU version of the awk text processing utility
Name:		gawk
Version:	3.1.5
Release:	%mkrel 2
License:	GPL
Group:		Text tools
URL:		http://www.gnu.org/software/gawk/gawk.html
Source0:	http://ftp.gnu.org/gnu/gawk/%{name}-%{version}.tar.bz2
Source1:	http://ftp.gnu.org/gnu/gawk/%{name}-%{version}-ps.tar.bz2
Patch0:		gawk-3.1.3-getpgrp_void.patch.bz2
Patch1:		gawk-3.1.5-open.patch.bz2
Provides:	awk
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	byacc
Requires(pre):	info-install

%description
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

Install the gawk package if you need a text processing utility. Gawk is
considered to be a standard Linux tool for processing text.

%package	doc
Summary:	Documentation about the GNU version of the awk text processing utility
Group:		Books/Computer books

%description	doc
The gawk packages contains the GNU version of awk, a text processing
utility.  Awk interprets a special-purpose programming language to do
quick and easy text pattern matching and reformatting jobs. Gawk should
be upwardly compatible with the Bell Labs research version of awk and
is almost completely compliant with the 1993 POSIX 1003.2 standard for
awk.

%prep
%setup -q -b 1
%patch0 -p1 -b .getpgrp_void
%patch1 -p0 -b .open

%build
%configure
%make

%check
%make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall  bindir=$RPM_BUILD_ROOT/bin
%find_lang %{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cd $RPM_BUILD_ROOT%{_datadir}
mkdir awk &&
for  i in *.awk;do
mv -f $i awk
done
cd $RPM_BUILD_ROOT%{_mandir}
mkdir -p man1
for i in *;do
   mv -f $i man1 || true
done
cd man1
ln -sf gawk.1.bz2 awk.1.bz2
cd $RPM_BUILD_ROOT%{_bindir}
ln -sf ../../bin/awk $RPM_BUILD_ROOT%{_bindir}/awk
ln -sf ../../bin/gawk $RPM_BUILD_ROOT%{_bindir}/gawk
mv $RPM_BUILD_ROOT/bin/pgawk $RPM_BUILD_ROOT%{_bindir}
rm -f $RPM_BUILD_ROOT/bin/pgawk-%{version}

%post
%_install_info gawk.info

%preun
%_remove_install_info gawk.info

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
/bin/*
%{_bindir}/*
%{_mandir}/*/*
%{_infodir}/*
%{_libdir}/awk
%{_datadir}/awk

%files doc
%defattr(-,root,root)
%doc README FUTURES INSTALL LIMITATIONS NEWS
%doc README_d POSIX.STD doc/gawk.ps doc/awkcard.ps

%changelog
* Tue Jan 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.1.5-2mdk
- Update Requires
- Patch 1: awk was segfaulting when opening a non-existent file

* Wed Oct 12 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 3.1.5-1mdk
- 3.1.5
- Remove patch 1, no longer necessary
- Remove patches 2, 3 and 4, merged upstream

* Mon Jan 10 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.4-1mdk
- sync with fedora
- fix summary-ended-with-dot

* Thu Jun 10 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.1.3-3mdk
- really fix buildrequires

* Tue Jun 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.3-2mdk
- fix buildrequires

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.1.3-1mdk
- 3.1.3
- drop P0-P3
- sync with fedora:
	o patches P5-P9 fixes from gawk mailinglist
	o P10 fixes getpgrp_void problem (rh #114246)
- spec cosmetics

* Sun Dec 14 2003 Luca Berra <bluca@vodka.it> 3.1.2-3mdk
- added patch to fix segfault when using character classes and locale

* Fri Apr 18 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.2-2mdk
- use rawhide patch to fix parsing of /proc pseudo-files

* Thu Apr 17 2003 Aurelien Lemaire <alemaire@mandrakesoft.com> 3.1.2-1mdk
- New version 3.1.2
- Update Sources Url
- Delete Patch0 : imposible to update this patch
- Update Patch1 to new version
- Add patch2 to fix typo

* Sat Jan 18 2003 Stefan van der Eijk <stefan@eijk.nu> 3.1.1-5mdk
- removed missing files from %%doc (ACKNOWLEDGMENT PORTS)
- add LC_MESSAGES files (unpackaged files)

* Mon Oct 14 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 3.1.1-4mdk
- fix doc subpackage group

* Wed Jul 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1.1-3mdk
- Costlessly make check in %%build stage

* Fri May 10 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.1-2mdk
- replace hard link from /usr/bin to /bin by soft link to fix problems
  of people having separate /usr (patch #1)

* Thu May  9 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.1-1mdk
- new version
- remove the reducing of optimizations since gcc seems less buggy now

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.1.0-4mdk
- Automated rebuild in gcc3.1 environment

* Sun Jan 20 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.0-3mdk
- reduce optimizations to remove gcc bug which makes awk thinking
  that 3 < 2

* Thu Jan 17 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1.0-2mdk
- move pgawk (profiling gawk) from /bin to /usr/bin
- take Debian security patch for igawk (thx pixel), but bugfix the
  patch :-)
- fix no-url-tag

* Fri Jul 06 2001 Etienne Faure <etienne@mandrakesoft.com> 3.1.0-1mdk
- version 3.1.0

* Fri May 04 2001 Etienne Faure <etienne@mandrakesoft.com> 3.0.6-4mdk
- Removed i18n patch

* Tue May 02 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.0.6-3mdk
- I18N patch.

* Sat Jan 20 2001 Etienne Faure  <etienne@mandrakesoft.com> 3.0.6-2mdk
- fixed small things to make rpmlint happy

* Wed Aug 09 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 3.0.6-1mdk
- s|3.0.5|3.0.6|.

* Sun Aug 06 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 3.0.5-2mdk
- some more macroszifications
- BM 

* Sat Jul 22 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 3.0.5-1mdk
- new version
- macros
- provides: awk

* Fri Jun 09 2000 Etienne Faure <etienne@mandrakesoft.com> 3.0.4-3mdk
-rebuild on kenobi

* Sat Apr 08 2000 John Buswell <johnb@mandrakesoft.com> 3.0.4-2mdk
- fixed distribution tag

* Thu Mar 30 2000 John Buswell <johnb@mandrakesoft.com> 3.0.4-1mdk
- 3.0.4 
- fixed groups
- spec helper

* Mon Nov 22 1999 Pixel <pixel@linux-mandrake.com>
- moved the doc to gawk-doc

* Wed Oct 20 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add defattr.

* Sat Apr 10 1999 Bernhard Rosenkraenzer <bero@linux-mandrake.com>
- Mandrake adaptions
- bzip2 man/info pages
- add de locale

* Fri Feb 19 1999 Jeff Johnson <jbj@redhat.com>
- Install info pages (#1242).

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1
- don't package /usr/info/dir

* Fri Apr 24 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 3.0.3
- added documentation and buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc

